package com.zd.exam.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.data.annotation.Transient;

import java.util.List;

/**
 * 试卷考题对象 el_paper_qu
 *
 * @author zd
 * @date 2021-08-31
 */
@ApiModel(value = "试卷考题", description = "试卷考题")
public class ElPaperQu extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;

    /**
     * 试卷ID
     */
    @ApiModelProperty(value = "试卷ID")
    @Excel(name = "试卷ID")
    private Long paperId;

    /**
     * 题目ID
     */
    @ApiModelProperty(value = "题目ID")
    @Excel(name = "题目ID")
    private Long quId;

    /**
     * 题目类型
     */
    @ApiModelProperty(value = "题目类型")
    @Excel(name = "题目类型")
    private Integer quType;

    /**
     * 是否已答 0 未答，1 已答
     */
    @ApiModelProperty(value = "是否已答 0 未答，1 已答")
    @Excel(name = "是否已答")
    private Integer answered;

    /**
     * 主观答案（弃用）
     */
    private String answer;

    /**
     * 问题排序
     */
    @ApiModelProperty(value = "问题排序")
    @Excel(name = "问题排序")
    private Integer sort;

    /**
     * 单题分分值
     */
    @ApiModelProperty(value = "单题分分值")
    @Excel(name = "单题分分值")
    private Integer score;

    /**
     * 实际得分(主观题)
     */
    @ApiModelProperty(value = "实际得分")
    @Excel(name = "实际得分(主观题)")
    private Integer actualScore;

    /**
     * 是否答对 0 错，1 对
     */
    @ApiModelProperty(value = "是否答对")
    @Excel(name = "是否答对")
    private Integer isRight;

    /**
     * 题目问题
     */
    @Transient
    @ApiModelProperty(value = "题目问题")
    private String content;
    /**
     * 整题题解
     */
    @Transient
    @ApiModelProperty(value = "整题题解")
    private String analysis;

    @ApiModelProperty(value = "试卷考题答案")
    List<ElPaperQuAnswer> elPaperQuAnswerList;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setQuId(Long quId) {
        this.quId = quId;
    }

    public Long getQuId() {
        return quId;
    }

    public void setQuType(Integer quType) {
        this.quType = quType;
    }

    public Integer getQuType() {
        return quType;
    }

    public void setAnswered(Integer answered) {
        this.answered = answered;
    }

    public Integer getAnswered() {
        return answered;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public String getAnswer() {
        return answer;
    }

    public void setIsRight(Integer isRight) {
        this.isRight = isRight;
    }

    public Integer getIsRight() {
        return isRight;
    }

    public List<ElPaperQuAnswer> getElPaperQuAnswerList() {
        return elPaperQuAnswerList;
    }

    public void setElPaperQuAnswerList(List<ElPaperQuAnswer> elPaperQuAnswerList) {
        this.elPaperQuAnswerList = elPaperQuAnswerList;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public Integer getActualScore() {
        return actualScore;
    }

    public void setActualScore(Integer actualScore) {
        this.actualScore = actualScore;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }
}
